PLSPAL1(3)

NAME
plspal1 - Set the cmap1 palette using the specified cmap1*.pal format file

SYNOPSIS
plspal1(filename, interpolate)

DESCRIPTION

Set the cmap1 palette using the specified cmap1*.pal format file.

Redacted form: plspal1(filename, interpolate)

This function is used in example 16.

ARGUMENTS

filename (PLCHAR_VECTOR(3), input)
    An ascii character string containing the name of the cmap1*.pal file. If this string is empty, use the default cmap1*.pal file.

interpolate (PLBOOL(3), input)
    If this parameter is true, the columns containing the intensity index, r, g, b, alpha and alt_hue_path in the cmap1*.pal file are used to set the cmap1 palette with a call to plscmap1la(3). (The cmap1*.pal header contains a flag which controls whether the r, g, b data sent to plscmap1la(3) are interpreted as HLS or RGB.) If this parameter is false, the intensity index and alt_hue_path columns are ignored and the r, g, b (interpreted as RGB), and alpha columns of the cmap1*.pal file are used instead to set the cmap1 palette directly with a call to plscmap1a(3).

AUTHORS
Many developers (who are credited at http://plplot.org/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.org/documentation.php.